<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Protocols  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
    <script src="js/lunr.min.js" defer></script>
    <script src="js/typeahead.jquery.js" defer></script>
    <script src="js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/objc/Section/Protocols" class="dashAnchor"></a>
    <a title="Protocols  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">ProxicloudSDK 2.4.0 Docs</a> (32% documented)</p>
        <p class="header-right">
          <form role="search" action="search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">ProxicloudSDK Reference</a>
        <img id="carat" src="img/carat.png" />
        Protocols  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Categories.html">Categories</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Categories/CBCharacteristic%28PCCharacteristic%29.html">CBCharacteristic(PCCharacteristic)</a>
              </li>
              <li class="nav-group-task">
                <a href="Categories/CBPeripheral%28PCPeripheral%29.html">CBPeripheral(PCPeripheral)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/PCBluetooth.html">PCBluetooth</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEnums.html">PCEnums</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEvent.html">PCEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventAID.html">PCEventAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationActive">PCEventApplicationActive</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationDidEnterBackground">PCEventApplicationDidEnterBackground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationForeground">PCEventApplicationForeground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventApplicationLaunched.html">PCEventApplicationLaunched</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillEnterForeground">PCEventApplicationWillEnterForeground</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillResignActive">PCEventApplicationWillResignActive</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventApplicationWillTerminate">PCEventApplicationWillTerminate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventBluetoothAuthorization.html">PCEventBluetoothAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventBluetoothEmulation">PCEventBluetoothEmulation</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCharacteristicWrite.html">PCEventCharacteristicWrite</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCharacteristicsUpdate.html">PCEventCharacteristicsUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventCustom.html">PCEventCustom</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceConnected.html">PCEventDeviceConnected</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceConnectedToWiFiNetwork.html">PCEventDeviceConnectedToWiFiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDisconnected.html">PCEventDeviceDisconnected</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDisconnectedFromWiFiNetwork.html">PCEventDeviceDisconnectedFromWiFiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceDiscovered.html">PCEventDeviceDiscovered</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventDeviceUpdated.html">PCEventDeviceUpdated</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventLocationAuthorization.html">PCEventLocationAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventMagnetometerUpdate.html">PCEventMagnetometerUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventNotificationsAuthorization.html">PCEventNotificationsAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventPerformAction.html">PCEventPerformAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventPerformWhenInUseAction.html">PCEventPerformWhenInUseAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRangedBeacon.html">PCEventRangedBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReachabilityEvent.html">PCEventReachabilityEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRegionEnter.html">PCEventRegionEnter</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventRegionExit.html">PCEventRegionExit</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReportConversion.html">PCEventReportConversion</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventReportHistory.html">PCEventReportHistory</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventResetManager">PCEventResetManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventServicesUpdated.html">PCEventServicesUpdated</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventStatusUpdate">PCEventStatusUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventUpdateResolver.html">PCEventUpdateResolver</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCEventWiFiStatus.html">PCEventWiFiStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMAID.html">PCMAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMBeacon.html">PCMBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMCampaignAction.html">PCMCampaignAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMGeofence.html">PCMGeofence</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMLocationAction.html">PCMLocationAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMRegion.html">PCMRegion</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMTrigger.html">PCMTrigger</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMWifiNetwork.html">PCMWifiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCMagnetometer.html">PCMagnetometer</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCManager.html">PCManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:objc(cs)PCModel">PCModel</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCSettingEvent.html">PCSettingEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/PCUpdateSettingEvent.html">PCUpdateSettingEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/ProxicloudSDK.html">ProxicloudSDK</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Constants.html">Constants</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Constants.html#/c:@APIDateFormat">APIDateFormat</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@ProxicloudSDKVersionNumber">ProxicloudSDKVersionNumber</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@ProxicloudSDKVersionString">ProxicloudSDKVersionString</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:@kPCIdentifier">kPCIdentifier</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeFarKey">kPCMagnitudeFarKey</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeImmediateKey">kPCMagnitudeImmediateKey</a>
              </li>
              <li class="nav-group-task">
                <a href="Constants.html#/c:PCEnums.h@kPCMagnitudeNearKey">kPCMagnitudeNearKey</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/PCActionType.html">PCActionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCBluetoothStatus.html">PCBluetoothStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCConversionType.html">PCConversionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCInternalActionType.html">PCInternalActionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCLocationAuthorizationStatus.html">PCLocationAuthorizationStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCManagerAvailabilityStatus.html">PCManagerAvailabilityStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCManagerBackgroundAppRefreshStatus.html">PCManagerBackgroundAppRefreshStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCTriggerType.html">PCTriggerType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PCWifiStatus.html">PCWifiStatus</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEvent">PCEvent</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventBluetoothAuthorization">PCEventBluetoothAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventLocationAuthorization">PCEventLocationAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventNotificationsAuthorization">PCEventNotificationsAuthorization</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventPerformAction">PCEventPerformAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRangedBeacons">PCEventRangedBeacons</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRegionEnter">PCEventRegionEnter</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventRegionExit">PCEventRegionExit</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventReportHistory">PCEventReportHistory</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventResetManager">PCEventResetManager</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventStatusUpdate">PCEventStatusUpdate</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMAID">PCMAID</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMBeacon">PCMBeacon</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMCampaignAction">PCMCampaignAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMGeofence">PCMGeofence</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMLocationAction">PCMLocationAction</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMRegion">PCMRegion</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMTrigger">PCMTrigger</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCMWifiNetwork">PCMWifiNetwork</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:objc(pl)PCModel">PCModel</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Type%20Definitions.html">Type Definitions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCFirmwareVersion.html">PCFirmwareVersion</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCMagneticProximity.html">PCMagneticProximity</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCPeripheralCharacteristic.html">PCPeripheralCharacteristic</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/PCPeripheralService.html">PCPeripheralService</a>
              </li>
              <li class="nav-group-task">
                <a href="Type%20Definitions/kPCMagnitudeLevels.html">kPCMagnitudeLevels</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Functions.html#/c:@F@sbLogFuncObjC_impl">sbLogFuncObjC_impl</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Protocols</h1>
            <p>The following protocols are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Application%20life-cycle%20events"></a>
                <a name="//apple_ref/objc/Section/Application life-cycle events" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Application%20life-cycle%20events"></a>
                  <h3 class="section-name"><p>Application life-cycle events</p>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEvent"></a>
                    <a name="//apple_ref/objc/Protocol/PCEvent" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEvent">PCEvent</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCEvent</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventResetManager"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventResetManager" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventResetManager">PCEventResetManager</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCEventResetManager</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventResetManagerProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventReportHistory"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventReportHistory" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventReportHistory">PCEventReportHistory</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCEventReportHistory</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventReportHistoryProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventUpdateHeaders"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventUpdateHeaders" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventUpdateHeaders">PCEventUpdateHeaders</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCEventUpdateHeaders</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventUpdateHeadersProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventStatusUpdate"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventStatusUpdate" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventStatusUpdate">PCEventStatusUpdate</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCEventStatusUpdate</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventStatusUpdateProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Protocol%20methods"></a>
                <a name="//apple_ref/objc/Section/Protocol methods" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Protocol%20methods"></a>
                  <h3 class="section-name"><p>Protocol methods</p>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventPerformAction"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventPerformAction" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventPerformAction">PCEventPerformAction</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Event fired when a user enters/exits a beacon region and the campaign has been triggered</p>

<p>@discussion A PCMCampaignAction object containing the subject, body etc of the campaign.
  Be sure to check the fireDate (NSDate object) to check if the campaign should fire at a specific date/time</p>

<p>@since 2.0</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc"><a href="Classes/PCEventPerformAction.html">PCEventPerformAction</a></span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventPerformActionProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventLocationAuthorization"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventLocationAuthorization" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventLocationAuthorization">PCEventLocationAuthorization</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Event fired when the authorization status for location services changes.</p>

<p>@brief  This event is fired after calling requestLocationAuthorization and at this point you should start monitoring for beacons </p>

<p>@since 2.0</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc"><a href="Classes/PCEventLocationAuthorization.html">PCEventLocationAuthorization</a></span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventLocationAuthorizationProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventBluetoothAuthorization"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventBluetoothAuthorization" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventBluetoothAuthorization">PCEventBluetoothAuthorization</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Event fired when the authorization status for the Bluetooth radio changes. The resulting event contains the new <code><a href="Enums/PCBluetoothStatus.html">PCBluetoothStatus</a></code></p>

<p>@since 2.0</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc"><a href="Classes/PCEventBluetoothAuthorization.html">PCEventBluetoothAuthorization</a></span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventBluetoothAuthorizationProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventNotificationsAuthorization"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventNotificationsAuthorization" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventNotificationsAuthorization">PCEventNotificationsAuthorization</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>DEPRECATED** Call [[PCManager sharedManager] canReceiveNotifications] to retrieve the current status</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc"><a href="Classes/PCEventNotificationsAuthorization.html">PCEventNotificationsAuthorization</a></span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventNotificationsAuthorizationProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventRangedBeacons"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventRangedBeacons" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventRangedBeacons">PCEventRangedBeacons</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>PCEventRangedBeacons</p>

<p>Event fired when a beacon has been ranged. The resulting event contains the beacon (<code><a href="Protocols.html#/c:objc(pl)PCMBeacon">PCMBeacon</a></code>), proximity, accuracy and RSSI values</p>

<p>@since 2.0</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCEventRangedBeacons</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventRangedBeacons</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventRegionEnter"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventRegionEnter" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventRegionEnter">PCEventRegionEnter</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>PCEventRegionEnter</p>

<p>Event fired upon entering a beacon region. The resulting event contains the PCMBeacon object</p>

<p>@since 2.0</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc"><a href="Classes/PCEventRegionEnter.html">PCEventRegionEnter</a></span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventRegionEnterProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCEventRegionExit"></a>
                    <a name="//apple_ref/objc/Protocol/PCEventRegionExit" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCEventRegionExit">PCEventRegionExit</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>PCEventRegionExit</p>

<p>Event fired upon exiting a beacon region. The resulting event contains the PCMBeacon object</p>

<p>@since 2.0</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc"><a href="Classes/PCEventRegionExit.html">PCEventRegionExit</a></span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCEventRegionExitProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCModel"></a>
                    <a name="//apple_ref/objc/Protocol/PCModel" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCModel">PCModel</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCModel</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCModelProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCMTrigger"></a>
                    <a name="//apple_ref/objc/Protocol/PCMTrigger" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCMTrigger">PCMTrigger</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCMTrigger</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCMTriggerProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCMRegion"></a>
                    <a name="//apple_ref/objc/Protocol/PCMRegion" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCMRegion">PCMRegion</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCMRegion</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCMRegionProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCMWifiNetwork"></a>
                    <a name="//apple_ref/objc/Protocol/PCMWifiNetwork" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCMWifiNetwork">PCMWifiNetwork</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCMWifiNetwork</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCMWifiNetworkProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCMAID"></a>
                    <a name="//apple_ref/objc/Protocol/PCMAID" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCMAID">PCMAID</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCMAID</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCMAIDProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCMBeacon"></a>
                    <a name="//apple_ref/objc/Protocol/PCMBeacon" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCMBeacon">PCMBeacon</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Beacon action trigger</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCMBeacon</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCMBeaconProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCMGeofence"></a>
                    <a name="//apple_ref/objc/Protocol/PCMGeofence" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCMGeofence">PCMGeofence</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Geofence action trigger</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCMGeofence</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCMGeofenceProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCMCampaignAction"></a>
                    <a name="//apple_ref/objc/Protocol/PCMCampaignAction" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCMCampaignAction">PCMCampaignAction</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span>  <span class="nc">PCMCampaignAction</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCMCampaignActionProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:objc(pl)PCMLocationAction"></a>
                    <a name="//apple_ref/objc/Protocol/PCMLocationAction" class="dashAnchor"></a>
                    <a class="token" href="#/c:objc(pl)PCMLocationAction">PCMLocationAction</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Objective-C</p>
                          <pre class="highlight objective_c"><code><span class="k">@protocol</span> <span class="nc">PCMLocationAction</span> <span class="k">@end</span></code></pre>

                        </div>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">PCMLocationActionProtocol</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>Coryright Proxi Cloud. All rights reserved</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.13.6</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
